#!/usr/bin/gnuplot
set grid
set y2tics
set x2tics
set isosample 40
l=1;
A =-2.36464e+31
delta = 3.76155
hbar=6.626068E-34
E=5.0
m=hbar*hbar/2;
A=2.7354695938922176e+31
delta=-(4.9303806576313238e-32+0.7+0.3+0.2+0.2)+(l*pi/2)
b=2.236068e+00

# besj0 = $B1_Cl%Y%C%;%k!#1_%Y%C%;%k$G$J$$!#(B
j0(x) = sin(x)/x;
j1(x) = (sin(x)/x-cos(x))/x;
j1_(x) = (sin(x)/x-cos(x));
y0(x) = -cos(x)/x;
y1(x) = -(cos(x)/x+sin(x))/x;
y1_(x) = -(cos(x)/x+sin(x));

#b = sqrt(2*m*E)/hbar;
#A               = 2.73547e+31      +/- 9.502e+27    (0.03474%)
#delta           = 0.138346         +/- 0.0004599    (0.3324%)
#b               = 2.22822          +/- 4.979e-05    (0.002234%)

#A               = 2.73547e+31 - 0.6E+31
#delta           = 0.138346
#b               = 2.22822
#A               = 2.73547e+31
A=2.73547e+31
delta=0.138474818354818
b=2.22818982634668

#A=1E31
#delta=0.0
f(x,A,delta,b)=A*sin(b*x-(l*pi/2)+delta);
g(x,A,delta,b)=A*b*x*(cos(delta)*j1(b*x)-sin(delta)*y1(b*x));
#g(x,A,delta,b)=A*(cos(delta)*j1_(b*x)-sin(delta)*y1_(b*x));
#fit f(x,A,delta,b) "tmp/noumerov.stdout" using 1:2 every ::2000:0:3000:0 via b
fit f(x,A,delta,b) "tmp/noumerov.stdout" using 1:2 every ::2000:0::0 via A,delta,b
#fit g(x,A,delta,b) "tmp/noumerov.stdout" using 1:2 every ::2000:0::0 via A

#A               = 2.13547e+31      +/- 4.767e+28    (0.2232%)
#delta           = -0.79802         +/- 0.002965     (0.3716%)
#b               = 2.24525          +/- 0.0003203    (0.01427%)
#A               =  1.93924e+31#2.13547e+31
#delta           = -0.79802
#b               = 2.24525

#print A;
#print delta;
#print b;
plot	"tmp/noumerov.stdout"	using 1:2 every 2:::0::0,\
	""			using 1:2 every 2::2001:0::0,\
	f(x,A,delta,b)
pause -1
#fit g(x,A,delta,b) "tmp/noumerov.stdout" using 1:2 every ::6000:0::0 via A,delta,b
fit g(x,A,delta,b) "tmp/noumerov.stdout" using 1:2 every ::2000:0::0 via A,delta,b
fit g(x,A,delta,b) "tmp/noumerov.stdout" using 1:2 every ::2000:0::0 via A
fit g(x,A,delta,b) "tmp/noumerov.stdout" using 1:2 every ::2000:0::0 via delta
fit g(x,A,delta,b) "tmp/noumerov.stdout" using 1:2 every ::2000:0::0 via b
fit g(x,A,delta,b) "tmp/noumerov.stdout" using 1:2 every ::2000:0::0 via A,delta,b
plot	"tmp/noumerov.stdout"	using 1:2 every 2::0:0::0,\
	""			using 1:2 every 2::2001:0::0,\
	""			using 1:(g($1,A,delta,b)) every ::2001:0::0
	
pause -1
plot	[:][-3E31:3E31] "tmp/noumerov.stdout"	using 1:2 every 2::0:0::0,\
	""			using 1:(g($1,A,delta,b)) every 2::1:0::0
	
pause -1
plot	"tmp/noumerov.stdout"	using 0:1 every :::0::0,\
	""			using 0:2 every :::0::0 axis x1y2,\
	""			using 0:3 every :::0::0 axis x1y2
pause -1
plot	"tmp/noumerov.stdout"	using 1:4 every :::0::0,\
	""			using 1:2 every :::0::0 axis x1y2,\
	""			using 1:3 every :::0::0 axis x1y2
pause -1
plot "tmp/noumerov.stdout" using 0:1 every :::2::2,\
	"" using 0:7 every :::2::2 axis x1y2
pause -1
plot "tmp/noumerov.stdout" using 0:1 every :::2::2,\
	"" using 0:2 every :::2::2 axis x1y2
pause -1
plot "tmp/noumerov.stdout" using 0:1 every :::2::2,\
	"" using 0:4 every :::2::2 axis x1y2
pause -1
plot "tmp/noumerov.stdout" using 0:1 every :::0::0,\
	"" using 0:4 every :::2::2 axis x1y2
pause -1
plot [:][-3E31:3E31] "tmp/noumerov.stdout" using 1:2 every :::3::3,\
	"" using 1:5 every :::3::3
pause -1
exit;
plot [0:5E-16] "tmp/noumerov.stdout" using 1:2 every :::0::0,\
	"" using 1:3 every :::0::0,\
	"" using 1:4  every :::0::0 axis x1y2,\
	"" using 1:5  every :::0::0 axis x1y2
pause -1
plot "tmp/noumerov.stdout" using 1:2 every :::1::1,\
	"" using 1:($2+$4) every :::1::1,\
	"" using 1:($2+$5) every :::1::1,\
	"" using 1:($2+$6) every :::1::1
pause -1
plot "tmp/noumerov.stdout",\
	x*exp(-x**2/2)
pause -1
plot [0:1E-14] "tmp/noumerov.stdout" using 1:2 every 2:::2::2,\
	"" using 1:3 every :::2::2 axis x1y2,\
	"" using 1:4 every 2::1:2::2
pause -1
x0 = 1E-11;
plot [x0+0:x0+1E-10] "tmp/noumerov.stdout" using 1:2 every 2:::2::2,\
	"" using 1:4 every :::2::2 axis x1y2,\
	"" using 1:5 every 2::1:2::2
pause -1
plot	"tmp/gsl_test.stdout"	using 1:5,\
	"tmp/gsl_test.stdout"	using 1:6,\
	"tmp/gsl_test.stdout"	using 1:7,\
	"tmp/gsl_test.stdout"	using 1:(y1($1))
pause -1
plot	"tmp/gsl_test.stdout"	using 1:2,\
	"tmp/gsl_test.stdout"	using 1:3,\
	"tmp/gsl_test.stdout"	using 1:4,\
	"tmp/gsl_test.stdout"	using 1:(j1($1))
pause -1
exit;
