#ifndef DMA_DBL_ARRAY_H_INCLUDE
#define DMA_DBL_ARRAY_H_INCLUDE
typedef struct {
	size_t size;
	double *data;
	/*
	   size_t array_num;
	   double *array;
	 */
} dma_dbl_array;
dma_dbl_array *dma_array_new(size_t);
void dma_array_free(dma_dbl_array *);
void dma_array_print(dma_dbl_array *);
double dma_array_get(dma_dbl_array *, size_t);
int dma_array_set(dma_dbl_array *, size_t, double);
void dma_array_test(size_t);
/*
#include <stdlib.h>
dma_dbl_array *dma_array_new(size_t array_num);
void dma_array_free(dma_dbl_array * dma_array);
void dma_array_print(dma_dbl_array * dma_array);
double dma_array_get(dma_dbl_array * dma_array, size_t index);
int dma_array_set(dma_dbl_array * dma_array, size_t index, double value);
void dma_array_test(size_t array_num);
*/
#endif

